- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
pdftron::PDF::ActionParameter Class Reference

`#include <ActionParameter.h>`

## Public Member Functions
| ActionParameter (const Action &action, const Field &field)
| ActionParameter (const Action &action, const Annot &annot)
| ActionParameter (const Action &action, const Page &page)
| ActionParameter (const Action &action)
| ActionParameter (const ActionParameter &action_param)
ActionParameter & | operator= (const ActionParameter &action_param)
| ~ActionParameter ()
Action | GetAction ()
void | Destroy ()
ptrdiff_t | GetHandleInternal ()
| ActionParameter (TRN_ActionParameter impl)

## Static Public Member Functions
static ActionParameter * | CreateInternal (ptrdiff_t impl)

## Public Attributes
TRN_ActionParameter | mp_parameter

## Detailed Description

ActionParameter is a class used to describe all the information needed to execute an action. In most cases only the action itself is necessary since the document can be inferred from associated SDF::Obj, however some actions particularly JavaScript actions on Field or Annot objects need access to the associated Field or Annot object.

Definition at line 22 of file ActionParameter.h.

## Constructor & Destructor Documentation

pdftron::PDF::ActionParameter::ActionParameter | ( | const Action & | action,
|  | const Field & | field
| ) |  |

pdftron::PDF::ActionParameter::ActionParameter | ( | const Action & | action,
|  | const Annot & | annot
| ) |  |

pdftron::PDF::ActionParameter::ActionParameter | ( | const Action & | action,
|  | const Page & | page
| ) |  |

pdftron::PDF::ActionParameter::ActionParameter | ( | const Action & | action | ) |

pdftron::PDF::ActionParameter::ActionParameter | ( | const ActionParameter & | action_param | ) |

pdftron::PDF::ActionParameter::~ActionParameter | ( |  | ) |

pdftron::PDF::ActionParameter::ActionParameter | ( | TRN_ActionParameter | impl | ) |

## Member Function Documentation

static ActionParameter* pdftron::PDF::ActionParameter::CreateInternal | ( | ptrdiff_t | impl | ) |
| static

void pdftron::PDF::ActionParameter::Destroy | ( |  | ) |

Action pdftron::PDF::ActionParameter::GetAction | ( |  | ) |

ptrdiff_t pdftron::PDF::ActionParameter::GetHandleInternal | ( |  | ) |

ActionParameter& pdftron::PDF::ActionParameter::operator= | ( | const ActionParameter & | action_param | ) |

## Member Data Documentation

TRN_ActionParameter pdftron::PDF::ActionParameter::mp_parameter

Definition at line 42 of file ActionParameter.h.

The documentation for this class was generated from the following file:

- PDF/ActionParameter.h